"use strict";

exports.__esModule = true;
exports.WordpressCategory = void 0;

var _Model = require("./Model");

class WordpressCategory extends _Model.Model {
  get id() {
    return this.data.id;
  }

  get fields() {
    return ['name', 'slug', 'description', 'seoCanonical', 'seoTitle', 'seoDescription', 'seoKeywords', 'seoNoFollow', 'seoNoIndex', 'posts'];
  }

  get name() {
    return this.data.name;
  }

  get slug() {
    return this.data.slug;
  }

  get description() {
    return this.data.description;
  }

  get seoCanonical() {
    var _this$data$seo;

    return (_this$data$seo = this.data.seo) === null || _this$data$seo === void 0 ? void 0 : _this$data$seo.canonical;
  }

  get seoTitle() {
    var _this$data$seo2;

    return (_this$data$seo2 = this.data.seo) === null || _this$data$seo2 === void 0 ? void 0 : _this$data$seo2.title;
  }

  get seoDescription() {
    var _this$data$seo3;

    return (_this$data$seo3 = this.data.seo) === null || _this$data$seo3 === void 0 ? void 0 : _this$data$seo3.metaDesc;
  }

  get seoKeywords() {
    var _this$data$seo4;

    return (_this$data$seo4 = this.data.seo) === null || _this$data$seo4 === void 0 ? void 0 : _this$data$seo4.metaKeywords;
  }

  get seoNoFollow() {
    var _this$data$seo5;

    return (_this$data$seo5 = this.data.seo) === null || _this$data$seo5 === void 0 ? void 0 : _this$data$seo5.metaRobotsNofollow;
  }

  get seoNoIndex() {
    var _this$data$seo6;

    return (_this$data$seo6 = this.data.seo) === null || _this$data$seo6 === void 0 ? void 0 : _this$data$seo6.metaRobotsNoindex;
  }

  get posts() {
    return this.data.posts;
  }

}

exports.WordpressCategory = WordpressCategory;
//# sourceMappingURL=WordpressCategory.js.map