"use strict";

exports.__esModule = true;
exports.WordpressPage = void 0;

var _content = require("../util/content");

var _Model = require("./Model");

class WordpressPage extends _Model.Model {
  constructor(...args) {
    super(...args);
    this.content = {
      tree: (0, _content.processContent)(this.data.content, this.context.transformContent),
      mediaItems: [],
      html: ''
    };
  }

  get id() {
    return this.data.id;
  }

  get fields() {
    return ['title', 'slug', 'date', 'content', 'seoCanonical', 'seoTitle', 'seoDescription', 'seoKeywords', 'seoNoFollow', 'seoNoIndex', 'featuredImage', 'author'];
  }

  get title() {
    return this.data.title;
  }

  get slug() {
    return this.data.slug;
  }

  get date() {
    return this.data.date;
  }

  get seoCanonical() {
    var _this$data$seo;

    return (_this$data$seo = this.data.seo) === null || _this$data$seo === void 0 ? void 0 : _this$data$seo.canonical;
  }

  get seoTitle() {
    var _this$data$seo2;

    return (_this$data$seo2 = this.data.seo) === null || _this$data$seo2 === void 0 ? void 0 : _this$data$seo2.title;
  }

  get seoDescription() {
    var _this$data$seo3;

    return (_this$data$seo3 = this.data.seo) === null || _this$data$seo3 === void 0 ? void 0 : _this$data$seo3.metaDesc;
  }

  get seoKeywords() {
    var _this$data$seo4;

    return (_this$data$seo4 = this.data.seo) === null || _this$data$seo4 === void 0 ? void 0 : _this$data$seo4.metaKeywords;
  }

  get seoNoFollow() {
    var _this$data$seo5;

    return (_this$data$seo5 = this.data.seo) === null || _this$data$seo5 === void 0 ? void 0 : _this$data$seo5.metaRobotsNofollow;
  }

  get seoNoIndex() {
    var _this$data$seo6;

    return (_this$data$seo6 = this.data.seo) === null || _this$data$seo6 === void 0 ? void 0 : _this$data$seo6.metaRobotsNoindex;
  } // Links


  get featuredImage() {
    var _this$data$featuredIm, _this$data$featuredIm2, _this$data$featuredIm3, _this$data$featuredIm4;

    return (_this$data$featuredIm = this.data.featuredImage) !== null && _this$data$featuredIm !== void 0 && (_this$data$featuredIm2 = _this$data$featuredIm.node) !== null && _this$data$featuredIm2 !== void 0 && _this$data$featuredIm2.id ? String((_this$data$featuredIm3 = this.data.featuredImage) === null || _this$data$featuredIm3 === void 0 ? void 0 : (_this$data$featuredIm4 = _this$data$featuredIm3.node) === null || _this$data$featuredIm4 === void 0 ? void 0 : _this$data$featuredIm4.id) : undefined;
  }

  get author() {
    return this.data.authorId;
  } // get seoImageId() { return this.data.seo?.opengraphImage?.id }


}

exports.WordpressPage = WordpressPage;
//# sourceMappingURL=WordpressPage.js.map