"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.cacheKey = cacheKey;
exports.Cache = void 0;

var _objectHash = _interopRequireDefault(require("object-hash"));

function cacheKey(id, object) {
  return (0, _objectHash.default)({
    __id: id,
    ...object
  });
}

class Cache {
  constructor(adapter) {
    this.adapter = adapter;
  }

  async get(key) {
    return this.adapter.get(key);
  }

  async set(key, value) {
    return this.adapter.set(key, value);
  }

  async around(id, object, callback) {
    const key = cacheKey(id, object);
    let result = await this.get(key);

    if (!result) {
      result = await callback();
      await this.set(key, result);
    }

    return result;
  }

}

exports.Cache = Cache;
//# sourceMappingURL=Cache.js.map