"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.CacheAdapterPersist = void 0;

var _fsExtra = require("fs-extra");

var _md = _interopRequireDefault(require("md5"));

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _CacheAdapter = require("./CacheAdapter");

const ROOT = '.wordpress-graphql-cache';

class CacheAdapterPersist extends _CacheAdapter.CacheAdapter {
  constructor(args) {
    super(args);
    this.data = void 0;

    if (!(0, _fsExtra.existsSync)(`${ROOT}`)) {
      (0, _fsExtra.mkdirpSync)(`${ROOT}`);
    }

    if (!(0, _fsExtra.existsSync)(`${ROOT}/files`)) {
      (0, _fsExtra.mkdirpSync)(`${ROOT}/files`);
    }

    if (!(0, _fsExtra.existsSync)(`${ROOT}/data.json`)) {
      (0, _fsExtra.writeFileSync)(`${ROOT}/data.json`, '{}', 'utf8');
    }

    this.data = JSON.parse((0, _fsExtra.readFileSync)(`${ROOT}/data.json`, 'utf-8'));
  }

  async get(key) {
    return this.data[key];
  }

  async set(key, value) {
    this.data[key] = value;
    (0, _fsExtra.writeFileSync)(`${ROOT}/data.json`, JSON.stringify(this.data), 'utf8');
  }

  async file(url) {
    const hash = (0, _md.default)(url);
    const filePath = `${ROOT}/files/${hash}`;

    if ((0, _fsExtra.existsSync)(filePath)) {
      return (0, _fsExtra.readFileSync)(filePath);
    }

    const response = await (0, _nodeFetch.default)(encodeURI(url));
    const buffer = await response.buffer();
    (0, _fsExtra.writeFileSync)(filePath, buffer);
    return buffer;
  }

}

exports.CacheAdapterPersist = CacheAdapterPersist;
//# sourceMappingURL=CacheAdapterPersist.js.map